{-# LANGUAGE DataKinds #-}
{-# LANGUAGE TypeOperators #-}
{-# LANGUAGE DeriveGeneric #-}
{-# LANGUAGE FlexibleInstances #-}
{-# LANGUAGE GeneralizedNewtypeDeriving #-}
{-# LANGUAGE MultiParamTypeClasses #-}
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE RankNTypes #-}
{-# LANGUAGE ScopedTypeVariables #-}

module API where

import Servant.API
import Servant.RawM
import Servant.HTML.Blaze

-- internal imports

import Types
import View

type UserAPI =
  Get '[HTML] UserSelectPage
  :<|> "user" :> Capture "id" Int :> Get '[HTML] UserOverviewPage
  :<|> "auth" :> Get '[HTML] AuthPage

