{-# LANGUAGE OverloadedStrings #-}
module View.Auth where

import qualified Text.Blaze.Html5 as H

import Data.Text.I18n

-- internal imports

import Types

import View.Scaffold

type AuthPage = H.Html

authPage
  :: L10n
  -> Locale
  -> AuthPage
authPage l10n locale = scaffold
  l10n
  locale
  (initPage $
    translate "Matebeamter" <>
    " - " <>
    translate "Authentication"
    )
  $ do
    H.p $ "Test"
  where
    translate = localize l10n locale . gettext
